Net::DNS::RR::CAA(3)

NAME
Net::DNS::RR::CAA - DNS CAA resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name IN CAA flags tag value');

DESCRIPTION
Class for Certification Authority Authorization (CAA) DNS resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  tag
    $tag = $rr->tag;
    $rr->tag( $tag );

The property identifier, a sequence of ASCII characters.

Tag values may contain ASCII characters a-z, A-Z, and 0-9. Tag values should not contain any other characters. Matching of tag values is not case sensitive.

  value
    $value = $rr->value;
    $rr->value( $value );

A sequence of octets representing the property value. Property values are encoded as binary values and may employ sub-formats.

  flags
    $flags = $rr->flags;
    $rr->flags( $flags );

Unsigned 8-bit number representing Boolean flags.

  critical
    $rr->critical(0);
    $rr->critical(1);

    if ( $rr->critical ) {
        ...
    }

Issuer critical flag.

COPYRIGHT
Copyright (c)2013 Dick Franks

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC6844